hledger-1.3: Command-line interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Accounts

Description

The `accounts` command lists account names:

- in flat mode (default), it lists the full names of accounts posted to by matched postings, clipped to the specified depth, possibly with leading components dropped.
- in tree mode, it shows the indented short names of accounts posted to by matched postings, and their parents, to the specified depth.

Synopsis

- accountsmode :: Mode RawOpts
- accounts :: CliOpts -> Journal -> IO ()
- tests_Hledger_Cli_Accounts :: Test

# Documentation

accountsmode :: Mode RawOpts #

Command line options for this command.

accounts :: CliOpts -> Journal -> IO () #

The accounts command.

tests_Hledger_Cli_Accounts :: Test #